'use strict';

angular.module('SubmanagerWeb').controller('LoginCtrl', LoginController);

LoginController.$inject = ['$location', '$rootScope', 'HttpService', 'AppContext'];

function LoginController($location, $rootScope, HttpService, AppContext) {
    var login = this;


    login.submit = function(user) {
        HttpService.login(user).then(function (response) {
            if (response.status === 200){
                AppContext.setCurrentUser(response.result);
                $rootScope.$broadcast('authorized');
                $location.path('/node');
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
        });
    };

    // 到达登录 直接退出登录
    HttpService.logout().then(function (response) {
    });
    $rootScope.$broadcast('unauthorized');
}