'use strict';

angular.module('SubmanagerWeb').controller('NodeuserCtrl', ['$location', '$scope', 'HttpService', 'layer', '$routeParams', function ($location, $scope, HttpService, layer, $routeParams) {
    // 终端机用户列表
    $scope.nodeusers = {};
    // 操作的终端机用户对象
    $scope.nodeuser = {};

    /**
     * 查询终端机用户列表
     * @param nodeId
     */
    $scope.getNodeusers = function (nodeId) {
        HttpService.getNodeusers(nodeId).then(function (response) {
            if (response.status === 200) {
                $scope.nodeusers = response.result;
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
        });
    };

    /**
     * 删除
     * @param id
     */
    $scope.delete = function (id) {
        layer.confirm('确定要删除吗?', {
            btn: ['确认', '取消']
        }, function (index) {
            layer.close(index);
            HttpService.deleteNodeuser(id).then(function (response) {
                if (response.status === 200) {
                    $scope.closeNodeForm();
                } else {
                    if (response.message) {
                        layer.msg(response.message, {icon: 5});
                    }
                }
                $scope.getNodeusers($routeParams.nodeId);
            });
        });
    };

    /**
     * 添加or修改
     */
    $scope.save = function (nodeuser) {
        if (nodeuser.id) {
            // 修改
        } else {
            // 添加
        }

        HttpService.saveNodeuser(nodeuser).then(function (response) {
            if (response.status === 200) {
                $scope.closeNodeForm();
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
            $scope.getNodeusers($routeParams.nodeId);
        });
    };

    /**
     * 打开表单窗口
     * @param id
     */
    $scope.openNodeForm = function (id) {
        if (id) {
            HttpService.getNodeuser(id).then(function (response) {
                if (response.status === 200) {
                    $scope.nodeuser = response.result;
                    $scope.nodeuser.password = null;
                    $scope.nodeUserFormDailog = layer.open({
                        type: 1,
                        title: '修改终端机用户',
                        area: ['600px', '310px'],
                        contentUrl: 'app/templates/nodeuser/nodeuser-form.html',
                        scope: $scope
                    });
                } else {
                    if (response.message) {
                        layer.msg(response.message, {icon: 5});
                    }
                }
            });
        } else {
            $scope.nodeuser = {
                'terminal': {
                    'id': $routeParams.nodeId
                }
            };
            $scope.nodeUserFormDailog = layer.open({
                type: 1,
                title: '添加终端机用户',
                area: ['600px', '310px'],
                contentUrl: 'app/templates/nodeuser/nodeuser-form.html',
                scope: $scope
            });
        }
    };

    /**
     * 关闭表单窗口
     */
    $scope.closeNodeForm = function () {
        layer.close($scope.nodeUserFormDailog);
    };

    $scope.getNodeusers($routeParams.nodeId);
}]);