'use strict';

angular.module('SubmanagerWeb').controller('SettingCtrl', SettingController);

SettingController.$inject = ['$location', '$scope', 'HttpService', 'layer'];

function SettingController($location, $scope, HttpService, layer) {
    $scope.attribute = {};

    /**
     * 获取属性
     */
    $scope.getProperty = function () {
        HttpService.getProperty().then(function (response) {
            if (response.status === 200) {
                $scope.attribute = response.result;
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
        });
    };
    $scope.getProperty();

    /**
     * 设置属性
     */
    $scope.setProperty = function (attribute) {
        HttpService.setProperty(attribute).then(function (response) {
            if (response.status === 200) {
                $scope.getProperty();
                layer.msg('设置成功，请稍后', {icon: 6});
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
        });
    };

    /**
     * 重新连接
     */
    $scope.reconnection = function () {
        HttpService.reconnection().then(function (response) {
            if (response.status === 200) {
                layer.msg('重新连接中，请稍后', {icon: 6});
            } else {
                if (response.message) {
                    layer.msg(response.message, {icon: 5});
                }
            }
        });
    };
}